package cn.newfeifan.mall.module.member.controller.app.auth.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;


@Data
public class AppAuthSocialRegisterReqVO  extends AppAuthSocialLoginReqVO{
    @Schema(description = "分享链接ID")
//    @NotNull(message = "只能通过分享注册")
//    @NotEmpty(message = "只能通过分享注册")
    private String linkId;

    @Schema(description = "用户名")
    private String username;

    public Long getLinkId() {
        if (linkId == null) {
            return null;
        }
        return Long.parseLong(linkId,16);
    }

}
